# Using Qinling CLI extensions to OpenStack Client

## runtime

### runtime create

Command base class for displaying data about a single object.

    openstack runtime create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name NAME]
        [--description DESCRIPTION]
        [--private]
        [--untrusted]
        IMAGE

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  Runtime name.

--description <DESCRIPTION>

  Runtime description.

--private

  Create private runtime or not, will create publicruntime if not specified

--untrusted

  Create untrusted runtime or not, will create trusted runtime if not specified

IMAGE

  Container image name used by runtime.

This command is provided by the python-qinlingclient plugin.

### runtime delete

    openstack runtime delete RUNTIME [RUNTIME ...]

RUNTIME

  Id of runtime(s).

This command is provided by the python-qinlingclient plugin.

### runtime list

Command base class for providing a list of data as output.

    openstack runtime list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: ()

This command is provided by the python-qinlingclient plugin.

### runtime pool show

Command base class for displaying data about a single object.

    openstack runtime pool show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        runtime

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

runtime

  Runtime ID.

This command is provided by the python-qinlingclient plugin.

### runtime show

Command base class for displaying data about a single object.

    openstack runtime show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        runtime

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

runtime

  Runtime ID.

This command is provided by the python-qinlingclient plugin.

## function

### function alias create

Command base class for displaying data about a single object.

    openstack function alias create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --function FUNCTION
        [--function-version FUNCTION_VERSION]
        [--description DESCRIPTION]
        name

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function <FUNCTION>

  Function ID or Name.

--function-version <FUNCTION_VERSION>

  Function Version number.

--description <DESCRIPTION>

  Description for the new alias.

name

  Function Alias name.

This command is provided by the python-qinlingclient plugin.

### function alias delete

    openstack function alias delete name [name ...]

name

  Function Alias name(s).

This command is provided by the python-qinlingclient plugin.

### function alias list

Command base class for providing a list of data as output.

    openstack function alias list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: (‘all_projects’, ‘project_id’)

This command is provided by the python-qinlingclient plugin.

### function alias show

Command base class for displaying data about a single object.

    openstack function alias show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        name

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

name

  Function Alias name.

This command is provided by the python-qinlingclient plugin.

### function alias update

Command base class for displaying data about a single object.

    openstack function alias update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--function FUNCTION]
        [--function-version FUNCTION_VERSION]
        [--description DESCRIPTION]
        name

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function <FUNCTION>

  Function ID or Name.

--function-version <FUNCTION_VERSION>

  Function Version number.

--description <DESCRIPTION>

  Description for the new alias.

name

  Function Alias name.

This command is provided by the python-qinlingclient plugin.

### function create

Command base class for displaying data about a single object.

    openstack function create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--runtime RUNTIME]
        [--name NAME]
        [--entry ENTRY]
        [--file CODE_FILE_PATH | --package CODE_PACKAGE_PATH]
        [--container CONTAINER]
        [--object OBJECT]
        [--image IMAGE]
        [--cpu CPU]
        [--memory-size MEMORY_SIZE]
        [--timeout TIMEOUT]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--runtime <RUNTIME>

  Runtime ID. Runtime is needed for function of package type and swift type, but not for the image type function.

--name <NAME>

  Function name.

--entry <ENTRY>

  Function entry in the format of <module_name>.<method_name>

--file CODE_FILE_PATH

  Code file path.

--package CODE_PACKAGE_PATH

  Code package zip file path.

--container <CONTAINER>

  Container name in Swift.

--object <OBJECT>

  Object name in Swift.

--image <IMAGE>

  Image name in docker hub.

--cpu <CPU>

  Limit of cpu resource(unit: millicpu).

--memory-size <MEMORY_SIZE>

  Limit of memory resource(unit: bytes).

--timeout <TIMEOUT>

  The function execution time at which Qinling should terminate the function. The default is 5 seconds

This command is provided by the python-qinlingclient plugin.

### function delete

    openstack function delete FUNCTION [FUNCTION ...]

FUNCTION

  Id or name of function(s).

This command is provided by the python-qinlingclient plugin.

### function detach

    openstack function detach function

function

  Function ID.

This command is provided by the python-qinlingclient plugin.

### function download

    openstack function download [-o OUTPUT] function

-o <OUTPUT>, --output <OUTPUT>

  Target file path. If not provided, function ID will be used

function

  Function ID or name.

This command is provided by the python-qinlingclient plugin.

### function execution create

Command base class for displaying data about a single object.

    openstack function execution create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--function FUNCTION]
        [--function-version FUNCTION_VERSION]
        [--function-alias FUNCTION_ALIAS]
        [--input INPUT]
        [--sync | --async]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function <FUNCTION>

  Function name or ID.

--function-version <FUNCTION_VERSION>

  Function version number.

--function-alias <FUNCTION_ALIAS>

  Function alias which corresponds to a specific function and version. When function alias is specified, function and function version are not needed.

--input <INPUT>

  Input for the function.

--sync

  Run execution synchronously.

--async

  Run execution asynchronously.

This command is provided by the python-qinlingclient plugin.

### function execution delete

    openstack function execution delete
        [--execution EXECUTION [EXECUTION ...]
        |
        --function FUNCTION
        [FUNCTION ...]]

--execution <EXECUTION>

  ID of function execution(s).

--function <FUNCTION>

  ID of function(s).

This command is provided by the python-qinlingclient plugin.

### function execution list

Command base class for providing a list of data as output.

    openstack function execution list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: (‘function_id’, ‘project_id’, ‘all_projects’, ‘status’, ‘description’)

This command is provided by the python-qinlingclient plugin.

### function execution log show

    openstack function execution log show execution

execution

  Execution ID.

This command is provided by the python-qinlingclient plugin.

### function execution show

Command base class for displaying data about a single object.

    openstack function execution show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        execution

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

execution

  Execution ID.

This command is provided by the python-qinlingclient plugin.

### function list

Command base class for providing a list of data as output.

    openstack function list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: (‘all_projects’, ‘project_id’)

This command is provided by the python-qinlingclient plugin.

### function scaledown

    openstack function scaledown [--count COUNT] function

--count <COUNT>

  Number of workers to scale down.

function

  Function ID.

This command is provided by the python-qinlingclient plugin.

### function scaleup

    openstack function scaleup [--count COUNT] function

--count <COUNT>

  Number of workers to scale up.

function

  Function ID.

This command is provided by the python-qinlingclient plugin.

### function show

Command base class for displaying data about a single object.

    openstack function show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        function

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

function

  Function ID or name.

This command is provided by the python-qinlingclient plugin.

### function update

Command base class for displaying data about a single object.

    openstack function update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name NAME]
        [--description DESCRIPTION]
        [--entry ENTRY]
        [--file CODE_FILE_PATH | --package CODE_PACKAGE_PATH]
        [--container CONTAINER]
        [--object OBJECT]
        [--cpu CPU]
        [--memory-size MEMORY_SIZE]
        [--timeout TIMEOUT]
        function

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  Function name.

--description <DESCRIPTION>

  Function description.

--entry <ENTRY>

  Function entry in the format of <module_name>.<method_name>

--file CODE_FILE_PATH

  Code file path.

--package CODE_PACKAGE_PATH

  Code package zip file path.

--container <CONTAINER>

  Container name in Swift.

--object <OBJECT>

  Object name in Swift.

--cpu <CPU>

  Limit of cpu resource(unit: millicpu).

--memory-size <MEMORY_SIZE>

  Limit of memory resource(unit: bytes).

--timeout <TIMEOUT>

  The function execution time at which Qinling should terminate the function. The default is 5 seconds

function

  Function ID or name.

This command is provided by the python-qinlingclient plugin.

### function version create

Command base class for displaying data about a single object.

    openstack function version create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--description DESCRIPTION]
        function

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--description <DESCRIPTION>

  Description for the new version.

function

  Function name or ID.

This command is provided by the python-qinlingclient plugin.

### function version delete

    openstack function version delete function_id version_number

function_id

  Function ID.

version_number

  Function version.

This command is provided by the python-qinlingclient plugin.

### function version detach

    openstack function version detach function_id version_number

function_id

  Function ID.

version_number

  Function version.

This command is provided by the python-qinlingclient plugin.

### function version list

Command base class for providing a list of data as output.

    openstack function version list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]
        function_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: ()

function_id

  Function ID.

This command is provided by the python-qinlingclient plugin.

### function version show

Command base class for displaying data about a single object.

    openstack function version show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        function_id
        version_number

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

function_id

  Function ID.

version_number

  Function version.

This command is provided by the python-qinlingclient plugin.

### function worker list

Command base class for providing a list of data as output.

    openstack function worker list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]
        function

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: ()

function

  Function ID.

This command is provided by the python-qinlingclient plugin.

## job

### job create

Command base class for displaying data about a single object.

    openstack job create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--function FUNCTION]
        [--function-version FUNCTION_VERSION]
        [--function-alias FUNCTION_ALIAS]
        [--name NAME]
        [--first-execution-time FIRST_EXECUTION_TIME]
        [--pattern PATTERN]
        [--function-input FUNCTION_INPUT]
        [--count COUNT]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function <FUNCTION>

  Function name or ID.

--function-version <FUNCTION_VERSION>

  Function version number. Default: 0

--function-alias <FUNCTION_ALIAS>

  Function alias which corresponds to a specific function and version. When function alias is specified, function and function version are not needed.

--name <NAME>

  Job name.

--first-execution-time <FIRST_EXECUTION_TIME>

  The earliest execution time(UTC) for the job.

--pattern <PATTERN>

  The cron pattern for job execution.

--function-input <FUNCTION_INPUT>

  Function input.

--count <COUNT>

  Expected number of executions triggered by job.

This command is provided by the python-qinlingclient plugin.

### job delete

    openstack job delete job [job ...]

job

  Job ID(s).

This command is provided by the python-qinlingclient plugin.

### job list

Command base class for providing a list of data as output.

    openstack job list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: (‘all_projects’, ‘project_id’)

This command is provided by the python-qinlingclient plugin.

### job show

Command base class for displaying data about a single object.

    openstack job show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        job

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

job

  Job ID.

This command is provided by the python-qinlingclient plugin.

### job update

Command base class for displaying data about a single object.

    openstack job update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name NAME]
        [--status {running,paused,done,cancelled}]
        [--next-execution-time NEXT_EXECUTION_TIME]
        [--pattern PATTERN]
        [--function-input FUNCTION_INPUT]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  Job name.

--status <STATUS>

  Job status.

--next-execution-time <NEXT_EXECUTION_TIME>

  The next execution time(UTC) for the job.

--pattern <PATTERN>

  The cron pattern for job execution.

--function-input <FUNCTION_INPUT>

  Function input.

id

  Job ID.

This command is provided by the python-qinlingclient plugin.

## webhook

### webhook create

Command base class for displaying data about a single object.

    openstack webhook create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--function FUNCTION]
        [--function-version FUNCTION_VERSION]
        [--function-alias FUNCTION_ALIAS]
        [--description DESCRIPTION]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function <FUNCTION>

  Function name or ID.

--function-version <FUNCTION_VERSION>

  Function version number. Default: 0

--function-alias <FUNCTION_ALIAS>

  Function alias which corresponds to a specific function and version. When function alias is specified, function and function version are not needed.

--description <DESCRIPTION>

  Webhook description.

This command is provided by the python-qinlingclient plugin.

### webhook delete

    openstack webhook delete webhook [webhook ...]

webhook

  Id of webhook(s).

This command is provided by the python-qinlingclient plugin.

### webhook list

Command base class for providing a list of data as output.

    openstack webhook list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter FILTERS]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <FILTERS>

  Filters for resource query that can be repeated. Supported operands: eq, neq, in, nin, gt, gte, lt, lte, has. E.g. –filter key=”neq:123”. The available keys: (‘all_projects’, ‘project_id’)

This command is provided by the python-qinlingclient plugin.

### webhook show

Command base class for displaying data about a single object.

    openstack webhook show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        webhook

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

webhook

  Webhook ID.

This command is provided by the python-qinlingclient plugin.

### webhook update

Command base class for displaying data about a single object.

    openstack webhook update
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--function-id FUNCTION_ID]
        [--function-version FUNCTION_VERSION]
        [--description DESCRIPTION]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--function-id <FUNCTION_ID>

  Function ID.

--function-version <FUNCTION_VERSION>

  Function version number.

--description <DESCRIPTION>

  Webhook description.

id

  Webhook ID.

This command is provided by the python-qinlingclient plugin.

this page last updated: 2023-08-15 14:56:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug